# 32/64bit spec
#
Summary: A friendly interactive shell
Summary(de): Eine freundliche interaktive Shell
Name:                   fish
Version:                3.7.0
Release:                %mkrel 1
License:                GPL
Group:                  Shells
URL:                    https://fishshell.com/
Source0:                https://github.com/%{name}-shell/%{name}-shell/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildRoot:              %{_tmppath}/%{name}-%{version}-%{release}
BuildRequires: python3-sphinx
BuildRequires:	 cmake
BuildRequires:	 bzip2-devel
BuildRequires:	 pcre2-devel
BuildRequires:	 lib64ncurses-devel
BuildRequires:	 lib64x11-devel
BuildRequires:  doxygen
BuildRequires:  intltool
BuildRequires:  gettext-devel
Requires(post):         rpm-helper
Requires(postun):       rpm-helper
Requires:               bc
Requires:		coreutils

%description
fish is a shell geared towards interactive use. It's features are
focused on user friendlieness and discoverability. The language syntax
is simple but incompatible with other shell languages.

%description -l de
fish ist eine Shell die auf eine interaktive Nutzung abgestimmt ist. Ihre
Eigenschaften sind auf Benutzerfreundlichkeit und Entdeckbarkeit ausgerichtet.
Die Sprachsyntax ist einfach, aber inkompatible mit anderen Shell-Sprachen.

%prep
%setup -q

#build against system pcre2
rm -rf pcre2*

%build
%cmake
%cmake_build

%install
rm -rf $RPM_BUILD_ROOT
%cmake_install

#create conf.d
mkdir -p %{buildroot}%{_sysconfdir}/fish/conf.d

# remove unneeded pkgconfig .pc file
rm -rf %{buildroot}%{_datadir}/pkgconfig/fish.pc

rm -rf %{buildroot}%{_docdir}/%{name}/.buildinfo



%clean
rm -rf $RPM_BUILD_ROOT

%post
SYSUSERS=$(grep [0-9][0-9][0-9]:.*/home /etc/passwd | grep -f /etc/shells | cut -d: -f1)
for idx in $SYSUSERS; do
	if [ -e /home/$idx/.config/fish ]; then
		chown -R $idx:$idx /home/$idx/.config/fish
	fi

	if [ -e /tmp/fish.$idx ]; then
		chown -R $idx:$idx /tmp/fish.$idx
	fi
done

# add link into bin and shell to the available shells just on install
if [ $1 -eq 1 ]; then
	ln -fs /usr/bin/fish /bin/fish
	/usr/share/rpm-helper/add-shell %name $1 /bin/fish
fi

%postun
# remove link from post and also the shell entry
if [ $1 -eq 0 ]; then
	rm -f /bin/fish
	/usr/share/rpm-helper/del-shell %name $1 /bin/fish
fi


%files
%defattr(-,root,root,-)
%{_bindir}
%{_datadir}
%config(noreplace) %_sysconfdir/fish

%changelog
* Wed Jan 03 2024 tex - 3.7.0-1pclos2024
- new version

* Sun Dec 10 2023 tex - 3.6.4-1pclos2023
- new version

* Sat Mar 25 2023 tex - 3.6.1-1pclos2023
- new version

